%define version 1.2.8
%define release 3mdk

Summary: Creates a bootdisk.
Name: mkbootdisk
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Kernel and hardware
Source: mkbootdisk-%{version}.tar.bz2
Patch0: mkbootdisk-1.2.7-mdkconf.patch.bz2
Patch1: mkbootdisk-1.2.7-appendargs.patch.bz2
Patch2: mkbootdisk-1.2.7-loopback.patch.bz2
Patch3: mkbootdisk-1.2.7-fixfor-boot.d.patch
Patch4: mkbootdisk-1.2.8-fix-for-bad-floppy-drives.patch.bz2
ExclusiveArch:  sparc sparc64 %{ix86}
ExclusiveOs: Linux
Requires: mkinitrd /bin/awk cpio
%ifarch sparc sparc64
Requires: silo genromfs
%endif
BuildRoot: %{_tmppath}/%{name}-root

%description
The mkbootdisk program creates a standalone boot floppy disk for booting
the running system.  The created boot disk will look for the root
filesystem on the device mentioned in /etc/fstab and includes an
initial ramdisk image which will load any necessary SCSI modules for
the system.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -z .pix

%install
rm -rf $RPM_BUILD_ROOT
make BUILDROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/mkbootdisk
%attr(644,root,root) %{_mandir}/man8/mkbootdisk.8*

%changelog
* Tue Mar 13 2001 Pixel <pixel@mandrakesoft.com> 1.2.8-3mdk
- as "Paul Giordano" <gio2000@mindspring.com> says, it works much better when
the device given to lilo is the same as the one which is mounted under devfs
(otherwise you get a device busy). So give boot=$rdevice to lilo

* Sat Feb 24 2001 Pixel <pixel@mandrakesoft.com> 1.2.8-2mdk
- workaround for bad floppy drives which can't correctly give their size (fix is
to use fd0H1440), see civileme for more

* Thu Dec 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.8-1mdk
- new and shiny source.

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 1.2.7-2mdk
- fix for /boot/boot.b now being a symlink (cp -a is stupid for boot.b)

* Thu Jul 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.7-1mdk
- Clean-up  patches (aka: i am sure i have break something)
- 1.2.7.
- BM.

* Wed Apr 19 2000 Pixel <pixel@mandrakesoft.com> 1.2.4-8mdk
- patch for ls120 (add ability to precise bios number for device)

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2.4-7mdk
- Spec-helper clean-up.
- Adjust groups.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 1.2.4-6mdk
- Added PPC support
- Added k7 arch

* Mon Mar 13 2000 Pixel <pixel@mandrakesoft.com> 1.2.4-5mdk
- patch for loopback

* Sun Jan  2 2000 Pixel <pixel@mandrakesoft.com>
- add ability to handle options given to kernel (via append=...)

* Tue Dec 21 1999 Pixel <pixel@mandrakesoft.com>
- added requires /bin/awk and cpio

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.2.4.

* Fri Oct 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.2.3.
- Remove cpio deps.

* Tue Sep 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Requires cpio (#41).

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to be sure to copy all devices (using cpio) from
  H.J. <hjl@varesearch.com>.

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- We boot on Mandrake no RedHat.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Update to 1.2.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix Summary line (RH apparently took the same as mkinitrd has)

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated the description

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Fri Oct 30 1998 Jakub Jelinek <jj@ultra.linux.cz>
- support for SPARC

* Sat Aug 29 1998 Erik Troan <ewt@redhat.com>
- wasn't including nfs, isofs, or fat modules properly
- mkinitrd args weren't passed right due to a typo
